﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace PhoneApp1
{
    public partial class LauncherTask : PhoneApplicationPage
    {
        public LauncherTask()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (!string.IsNullOrEmpty(Search.Text))
            {
                SearchTask nSearchTask = new SearchTask();
                nSearchTask.SearchQuery = Search.Text;
                nSearchTask.Show();
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            if (!string.IsNullOrEmpty(WebBrowser.Text))
            {
                WebBrowserTask nWebBrowserTask = new WebBrowserTask();
                //nWebBrowserTask.URL = WebBrowser.Text;
                nWebBrowserTask.Uri = new Uri(WebBrowser.Text,UriKind.RelativeOrAbsolute);
                nWebBrowserTask.Show();
            }
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            if (!string.IsNullOrEmpty(MediaPlayer.Text))
            {
                MediaPlayerLauncher nMediaPlayerLauncher = new MediaPlayerLauncher();
                nMediaPlayerLauncher.Controls = MediaPlaybackControls.Pause | MediaPlaybackControls.Stop;
                //nMediaPlayerLauncher.Location = MediaLocationType.Data;播放独立存储里的媒体
                //nMediaPlayerLauncher.Location = MediaLocationType.Install;播放程序里的媒体
                nMediaPlayerLauncher.Media = new Uri(MediaPlayer.Text);
                nMediaPlayerLauncher.Show();
            }
        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
            MarketplaceHubTask nHubTask = new MarketplaceHubTask();
            nHubTask.ContentType = MarketplaceContentType.Applications;
            nHubTask.Show();
        }

        private void Button_Click_4(object sender, RoutedEventArgs e)
        {
            MarketplaceDetailTask nDetailTask = new MarketplaceDetailTask();
            nDetailTask.ContentIdentifier = "2f7bb8df-dc80-dfll-a490-00237de2db9e";//字符串为程序的唯一ID，此处是虚假的
            nDetailTask.Show();
        }

        private void Button_Click_5(object sender, RoutedEventArgs e)
        {
            //此处是打开当前应用的评论页，由于此程序是未发布的所以会有错误
            MarketplaceReviewTask nReviewTask = new MarketplaceReviewTask();
            nReviewTask.Show();
        }

        private void Button_Click_6(object sender, RoutedEventArgs e)
        {
            MarketplaceSearchTask nSearchTask = new MarketplaceSearchTask();
            nSearchTask.ContentType = MarketplaceContentType.Applications;
            nSearchTask.SearchTerms = "Weather";
            nSearchTask.Show();
        }
    }
}