﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PhoneApp1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }
		
		private int state = 0;
        private void BounceButton_Click(object sender, System.Windows.RoutedEventArgs e)
        {
        	// TODO: Add event handler implementation here.
            switch (state)
            { 
                case 0 :
                    VisualStateManager.GoToState(this, "Bounce2", true);
                    break;
                case 1:
                    VisualStateManager.GoToState(this, "Bounce3", true);
                    break;
                case 2:
                    VisualStateManager.GoToState(this, "Bounce1", true);
                    break;
            }
            state = (state+1) % 3;
        }

        private void B1_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/OrientationPage.xaml", UriKind.Relative));
        }

        private void B2_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/SIPpage.xaml", UriKind.Relative));
        }

        private void B3_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/RingLoadingPage.xaml", UriKind.Relative));
        }

        //页面间跳转动画
        public Uri UriToNacigateTo { get; set; }
        public bool IsCurrentApp { get; set; }
        protected override void OnNavigatingFrom(System.Windows.Navigation.NavigatingCancelEventArgs e)
        {
            base.OnNavigatingFrom(e);
            IsCurrentApp = e.IsNavigationInitiator;
            if (UriToNacigateTo == null)
            {
                e.Cancel = true;
                if (IsCurrentApp)
                    UriToNacigateTo = e.Uri;
                this.HidePage.Begin();
            }
            else
            {
                UriToNacigateTo = null;
            }
        }
        private void HodePage_Completed(object sender, EventArgs e)
        {
            if (IsCurrentApp)
                this.NavigationService.Navigate(UriToNacigateTo);
        }
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            this.DisplayPage.Begin();
        }
    }
}
