﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PhoneApp1
{
    public partial class SIPpage : PhoneApplicationPage
    {
        public SIPpage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(SIPpage_Loaded);
        }

        void SIPpage_Loaded(object sender, RoutedEventArgs e)
        {
            this.InputScopeList.ItemsSource = typeof(InputScopeNameValue).EnumValues<InputScopeNameValue>();
        }

        private void InputScopeList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (this.InputScopeList.SelectedItem == null)
                return;
            var selection = (KeyValuePair<string, InputScopeNameValue>)this.InputScopeList.SelectedItem;
            InputScope inputScope = new InputScope();
            inputScope.Names.Add(new InputScopeName() { NameValue = selection.Value });
            this.InputText.InputScope = inputScope;
        }

        private double PreviousOpacity { get; set; }
        private void ApplicationBar_StateChanged(object sender, Microsoft.Phone.Shell.ApplicationBarStateChangedEventArgs e)
        {
            var opacity = this.ApplicationBar.Opacity;
            this.ApplicationBar.Opacity = e.IsMenuVisible ? 1 : PreviousOpacity;
            this.PreviousOpacity = opacity;
        }

        private void Message_Click(object sender, EventArgs e)
        {
            MessageBox.Show("This is a message box !", "Warning", MessageBoxButton.OKCancel);
        }
    }
}